#!/bin/sh
## Slackware install script for sqlgrey
##   20090827 teop

config() {
        NEW="$1"
        OLD="`dirname $NEW`/`basename $NEW .new`"
        # If there's no config file by that name, mv it over:
        if [ ! -r $OLD ]; then
            mv $NEW $OLD
        elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
            # toss the redundant copy
            rm $NEW
        fi
        # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/sqlgrey/clients_fqdn_whitelist.local.new
config etc/sqlgrey/clients_fqdn_whitelist.new
config etc/sqlgrey/clients_ip_whitelist.local.new
config etc/sqlgrey/clients_ip_whitelist.new
config etc/sqlgrey/dyn_fqdn.regexp.new
config etc/sqlgrey/smtp_server.regexp.new
config etc/sqlgrey/discrimination.regexp.new
config etc/sqlgrey/sqlgrey.conf.new
config etc/rc.d/rc.sqlgrey.new

# check if required user & groups exist &
# otherwise add them
if ! grep -q sqlgrey etc/group; then
groupadd -g 78 sqlgrey
fi
if ! grep -q sqlgrey etc/passwd; then
useradd -u 78 -c "Sqlgrey policy" -g sqlgrey -d /var/lib/sqlgrey -s /bin/false sqlgrey
fi

# Setting directories databases and permissions
if [ ! -d var/lib/sqlgrey ]; then
    mkdir var/lib/sqlgrey
chown -R sqlgrey:sqlgrey var/lib/sqlgrey
fi

if [ ! -d var/lib/mysql/sqlgreydb ]; then
echo "Choose password for sqlgreyuser"
read sqlgreypass
    echo "MySql server root access password is needed now:"
    mysql -u root -h localhost -p -e "CREATE DATABASE IF NOT EXISTS sqlgreydb DEFAULT CHARACTER SET latin1 DEFAULT COLLATE latin1_swedish_ci; GRANT ALL ON sqlgreydb.* TO sqlgreyuser@localhost IDENTIFIED BY '$sqlgreypass';FLUSH PRIVILEGES;"
sed -e "s,db_pass = sqlgreypass,db_pass = $sqlgreypass,g" -i etc/sqlgrey/sqlgrey.conf
fi
echo "Don't forget to let /usr/sbin/update_sqlgrey_config from time to time...."
